LINUX.ORG.RU

Релиз Debian 11 под кодовым именем «bullseye»

 , , , ,


3

1
“Run like the wind, Bullseye!”
 – Woody to Bullseye.

После 2 лет, 1 месяца и 9 дней разработки проект Debian с гордостью представляет свою новую стабильную версию 11 (кодовое название «bullseye»), которая будет поддерживаться в течение следующих 5 лет благодаря совместной работе команда безопасности Debian и группе долгосрочной поддержки Debian.

Debian 11 «bullseye» поставляется с несколькими настольными приложениями и средами. Данный выпуск включает в себя следующие среды рабочего стола:

  • Gnome 3.38;
  • KDE Plasma 5.20;
  • LXDE 11;
  • LXQt 0.16;
  • MATE 1.24;
  • Xfce 4.16.

Этот выпуск содержит более 11 294 новых пакетов из 59 551 доступных.

Debian 11 «bullseye» включает множество обновленных программных пакетов (больше 72% всех пакетов в предыдущем выпуске), например:

  • Apache 2.4.48;
  • BIND DNS Server 9.16;
  • Calligra 3.2;
  • Cryptsetup 2.3;
  • Emacs 27.1;
  • GIMP 2.10.22;
  • GNU Compiler Collection 10.2;
  • GnuPG 2.2.20;
  • Inkscape 1.0.2;
  • LibreOffice 7.0;
  • Linux kernel 5.10;
  • MariaDB 10.5;
  • OpenSSH 8.4p1;
  • Perl 5.32;
  • PHP 7.4;
  • PostgreSQL 13;
  • Python 3, 3.9.1;
  • Rustc 1.48;
  • Samba 4.13;
  • Vim 8.2.

Более 59 000 других готовых программных пакетов, созданных на основе более 30 000 исходных пакетов. Для девяти аппаратных архитектур:

  • 64-bit PC / Intel EM64T / x86-64 (amd64);
  • 32-bit PC / Intel IA-32 (i386);
  • 64-bit LE Motorola/IBM PowerPC (ppc64el);
  • 64-bit IBM S/390 (s390x);
  • armel и armhf старых и новых версий;
  • arm64 для AArch64;
  • 32-битные mipsel LE;
  • 64-битные mips64el LE.

>>> Информация о выпуске

>>> Руководство по установке

>>> Подробности

К сожалению, старый (не-live) инсталлятор до сих пор очень активно использует fsync, что значительно замедляет процесс установки, особенно на старых HDD.
Скрипт debian-iso-fastinstall исправляет эту проблему.

https://bitbucket.org/ValdikSS/debian-iso-fastinstall/src/

Работает на Debian 11, проверено.

Разработчики Debian по моей просьбе добавили пакет eatmydata в поставку ISO, но необходимые изменения не стали включать, боясь нарушить работу установщика в первом релизе. Надеюсь, изменения удастся внедрить в следующее минорное обновление.

ValdikSS ★★★★★ ()
Ответ на: комментарий от einhander

На офф сайте написано, что LO 7.1 для пионеров.

В Ubuntu LTS без вопросов засадили бы её с оглядкой на срок поддержки этак в года три. Но в Debian видать «стабильность».

fornlr ★★★★★ ()
Последнее исправление: fornlr (всего исправлений: 1)
Ответ на: комментарий от fornlr

Для пионеров 7.2. Если верно помню нумерацию ЛО то х.0 это выкатывание новых фич, а х.1 и далее это в большей степени латание дыр, чем новые фичи. Или они снова поменяли значение нумерации?

einhander ★★★★★ ()

Меня больше удивило:

Most modern printers are able to use driverless printing and scanning
without the need for vendor specific (often non-free) drivers.

Это действительно так? Старый сетевой принтер hp 2300 действительно настроился сам, без моего участия, но у него и так проблем не было, а вот новые принтеры и сканеры действительно теперь работают без проблем?

einhander ★★★★★ ()
Последнее исправление: einhander (всего исправлений: 1)

более 11 294 новых пакетов

Ой смотрите, мы натащили в дистр еще миллиард говн из cpan/pear/npm/gems/whatever, мы такие молодцы.

Более 59 000 других готовых программных пакетов, созданных на основе более 30 000 исходных пакетов

Больше пакетов богу пакетов! Опакетим и перепакетим!

thesis ★★★★★ ()
Ответ на: комментарий от alt-tab-let

Потому что с тех пор разработчики Debian включили eatmydata в поставку, а скрипт писался до этого момента.

Интернет нужен в любом случае, он еще indices скачивает, их точно в iso нет. Можно уже, наверное, и без них обойтись, но придётся делать дополнительную проверку.

ValdikSS ★★★★★ ()
Ответ на: комментарий от ValdikSS
# Check for eatmydata and libeatmydata, download if needed.
if [ ! -f "cd/pool/main/libe/libeatmydata/eatmydata_*.deb" ]; then
  echo "Downloading eatmydata DEB file"
  EATMYDATA_URL="$(wget -O - https://packages.debian.org/$DISTRO/all/eatmydata/download | grep -Po -m1 'http://.*/libeatmydata/eatmydata.*?\.deb')"
  (cd cd/pool/main/libe/libeatmydata/ && wget "$EATMYDATA_URL")
fi
if [ ! -f "cd/pool/main/libe/libeatmydata/libeatmydata_*.deb" ]; then
  echo "Downloading libeatmydata DEB file"
  LIBEATMYDATA_URL="$(wget -O - https://packages.debian.org/$DISTRO/$ARCH/libeatmydata1/download | grep -Po -m1 'http://.*/libeatmydata/libeatmydata.*?\.deb')"
  (cd cd/pool/main/libe/libeatmydata/ && wget "$LIBEATMYDATA_URL")
fi

По идее, не должно

alt-tab-let ()
Ответ на: комментарий от thesis

тебе какая разница? разработчики дебиан делают пользователям дебиан. тебе то что с этого. я часто ставлю пакеты офлайн, и мне точно не надо, чтобы что-то зависело от интернета. кому надо - берут другое. наверное. или ничего не берут, просто бегают по лору и визжат, что их девичья честь и гордость задета...

alt-tab-let ()
Ответ на: комментарий от anonymous

Да можно было бы и удалить. Уж вебню и ее зависимости так точно.

Еще можно было бы перестать дробить пакеты на атомы, но это я многого прошу, понимаю, на святое замахнулся.

thesis ★★★★★ ()
Ответ на: комментарий от einhander

Вроде дистрибутив ubuntu под названием LXLE развивает её на собственном дистрибутиве. Но зачем развивать идеал? Хотя даже это лучше, чем пользоваться LXqt.

anonymous ()

На опеннете пишут, что:

Изменён формат строк в файле /etc/apt/sources.list, связанных с устранением проблем с безопасностью. Строки {dist}-updates переименованы в {dist}-security.

То есть как? Там и так вроде были updates и security. Это теперь одно и то же?

Gonzo ★★★★★ ()